%global _hardened_build 1
%define _build_id_links none

Name:           jailkit
Version:        2.23
Release:        7%{?dist}
Summary:        A set of utilities to limit Chroot
License:        BSD and GPLv2
URL:            http://olivier.sessink.nl/jailkit/
Source0:        http://olivier.sessink.nl/%{name}/%{name}-%{version}.tar.bz2
Source1:        %{name}.service
BuildRequires:  glibc-devel
BuildRequires:  libtool
BuildRequires:  python2
BuildRequires:  /usr/lib/rpm/redhat/pathfix.py

%description
Jailkit is a set of utilities to limit user accounts to specific files using
chroot() and or specific commands. Setting up a chroot shell, a shell limited
to some specific command, or a daemon inside a chroot jail is a lot easier and
can be automated using these utilities.

Jailkit is used in network security appliances from several well known
manufacturers, internet servers from several large enterprise organisations,
servers from internet service providers, as well as many smaller companies and
private users that need to secure cvs, sftp, shell or daemon processes.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
install -pDm644 %{S:1} %{buildroot}%{_unitdir}/%{name}.service
%{python3} /usr/lib/rpm/redhat/pathfix.py -pni "%{__python2} %{py2_shbang_opts}" %{buildroot}%{_sbindir}/*

%post
%systemd_post %{S:1}
if [ ! -f %{_sysconfdir}/shells ] ; then
    echo "%{_sbindir}/jk_chrootsh" > %{_sysconfdir}/shells
else
    grep -q "^%{_sbindir}/jk_chrootsh$" %{_sysconfdir}/shells || echo "%{_sbindir}/jk_chrootsh" >> %{_sysconfdir}/shells
fi

%preun
%systemd_preun %{S:1}

%postun
%systemd_postun_with_restart %{S:1}
if [ ! -f %{_sysconfdir}/shells ] ; then
    sed -i '/jk_chrootsh/d' %{_sysconfdir}/shells
fi

%files
%defattr(-,root,root,-)
%attr(6755,root,root) %{_sbindir}/jk_chrootsh
%doc COPYRIGHT README.txt
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/jk_*.ini

%{_sbindir}/*
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man*/
%{_unitdir}/%{name}.service

%changelog
* Fri Nov 01 2024 endur <endur@thinkpad.localdomain> - 2.23-7
- Rebuild for Fedora 41

* Thu Apr 25 2024 endur <endur@thinkpad.localdomain> - 2.23-6
- Rebuild for Fedora 40

* Tue Oct 24 2023 endur <endur@thinkpad.localdomain> - 2.23-5
- Fixed path to pathfix.py
- pathfix.py invoked via %{python3}
- Rebuild for Fedora 39

* Wed May 03 2023 endur <endur@thinkpad.localdomain> - 2.23-4
- Rebuild for Fedora 38

* Fri Nov 18 2022 endur <endur@thinkpad.localdomain> - 2.23-3
- Rebuild for Fedora 37

* Mon May 16 2022 endur <endur@thinkpad.localdomain> - 2.23-2
- Rebuild for Fedora 36

* Thu Nov 18 2021 endur <endur@thinkpad.localdomain> - 2.23
- Update to version 2.23

* Tue Jun 08 2021 endur <endur@thinkpad.localdomain> - 2.22
- Update to version 2.22
- cleanup

* Wed Mar 31 2021 endur <endur@thinkpad.localdomain> - 2.21-4
- Build for Fedora 34

* Wed Oct 28 2020 endur <endur@thinkpad.localdomain> - 2.21-3
- Build for Fedora 33

* Wed Apr  29 2020 endur <endur@thinkpad.localdomain> - 2.21-2
- Build for Fedora 32

* Tue Nov  5 2019 endur <endur@thinkpad.localdomain> - 2.21-1
- Update to version 2.21

* Tue Apr 30 2019 endur <endur@thinkpad.localdomain> - 2.20-2
- Build for Fedora 30
- Added pathfix.py

* Thu Jan  3 2019 endur <endur@thinkpad.localdomain> - 2.19-6
- Update to version 2.20

* Fri Nov  2 2018 endur <endur@thinkpad.localdomain> - 2.19-6
- Build for Fedora 29

* Thu May  3 2018 endur <endur@thinkpad.localdomain> - 2.19-5
- Build for Fedora 28

* Wed Nov  8 2017 endur <endur@thinkpad.localdomain> - 2.19-4
- Build for Fedora 27

* Sun Jul  9 2017 endur <endur@thinkpad.localdomain> - 2.19-3
- Build for Fedora 26

* Wed Nov 23 2016 endur <endur@thinkpad.localdomain> - 2.19-2
- Build for Fedora 25

* Thu Jun 23 2016 endur <endur@thinkpad.localdomain> - 2.19-1
- Update to release 2.19
- Build for Fedora 24

* Sun Nov  1 2015 endur <endur@thinkpad.localdomain> - 2.17-3
- Rebuild for Fedora 23

* Fri May 29 2015 Matthias Haase <matthias_haase@bennewitz.com> - 2.17-2
- Rebuild for Fedora 22

* Wed Dec 10 2014 Matthias Haase <matthias_haase@bennewitz.com> - 2.17-1
- Update to release 2.17
- Rebuild for Fedora 21
- Manpage fix patch obsolete now

* Sun Dec 15 2013 Matthias Haase <matthias_haase@bennewitz.com> - 2.16-4
- Merged latest work of Christopher Meng <rpm@cicku.me> into this
- Still now way without suid root

* Sun Dec 15 2013 Matthias Haase <matthias_haase@bennewitz.com> - 2.16-3
- Added suid root, needed for jk_chrootsh

* Sat Dec 07 2013 Matthias Haase <matthias_haase@bennewitz.com> - 2.16-2
- Rebuild for Fedora 20

* Wed Jun 19 2013 Matthias Haase <matthias_haase@bennewitz.com> - 2.16-1
- Update to release 2.16

* Thu Jan 17 2013 Matthias Haase <matthias_haase@bennewitz.com> - 2.15-3
- Rebuild for Fedora 18

* Fri Sep  7 2012 Matthias Haase <matthias_haase@bennewitz.com> - 2.15-2
- Update to release 2.15

* Thu May 31 2012 Matthias Haase <matthias_haase@bennewitz.com> - 2.14-3
-  Rebuild for Fedora 17

* Mon Nov 21 2011 Matthias Haase <matthias_haase@bennewitz.com> - 2.14-2
- Rebuild for Fedora 16

* Sat May 28 2011 Matthias Haase <matthias_haase@bennewitz.com> - 2.14-1
- Update to release 2.14
- Rebuild for Fedora 15

* Fri Oct 29 2010 Matthias Haase <matthias_haase@bennewitz.com> - 2.13-1
- Update to release 2.13
- Rebuild for Fedora 14

* Wed May 26 2010 Matthias Haase <matthias_haase@bennewitz.com> - 2.11-2
- Rebuild for Fedora 13

* Mon May  3 2010 Matthias Haase <matthias_haase@bennewitz.com> - 2.11-1
- Update to release 2.11

* Sat Nov 14 2009 Matthias Haase <matthias_haase@bennewitz.com> - 2.10-1                               
- Update to release 2.10                                                                               
- Rebuild for Fedora 12
 
* Sat Jun 13 2009 Matthias Haase <matthias_haase@bennewitz.com> - 2.7-2
- Update to release 2.7
- Rebuild for Fedora 11

* Fri Nov 28 2008 Matthias Haase <matthias_haase@bennewitz.com> - 2.5-4
- Rebuild for Fedora 10

* Wed May 28 2008 Matthias Haase <matthias_haase@bennewitz.com> - 2.5-3
- Rebuild for Fedora 9

* Sat Dec 22 2007 Matthias Haase <matthias_haase@bennewitz.com> - 2.5-2
- external start/stop script for Fedora used

* Fri Dec 21 2007 Matthias Haase <matthias_haase@bennewitz.com> - 2.5-1
- Update to release 2.5
- service trigger added

* Tue Sep 12 2006 Dag Wieers  - 2.1-1
- Updated to release 2.1.

* Sun Mar 19 2006 Dag Wieers  - 2.0-1
- Updated to release 2.0.

* Fri May 20 2005 Dag Wieers  - 1.3-1
- Initial package. (using DAR)
